Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateAnimatedEmojiMessageClicked

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateAnimatedEmojiMessageClicked

Enclosing class:
  TdApi

public static final class TdApi.UpdateAnimatedEmojiMessageClicked extends TdApi.Update
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
Message identifier.
`TdApi.Sticker`
`sticker`
The animated sticker to be played.

## Constructor Summary

Constructors
Constructor
Description
`UpdateAnimatedEmojiMessageClicked()`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.
`UpdateAnimatedEmojiMessageClicked(long chatId, long messageId, TdApi.Sticker sticker)`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.
`UpdateAnimatedEmojiMessageClicked(DataInput input)`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### sticker

public TdApi.Sticker sticker
The animated sticker to be played.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked()
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked(long chatId, long messageId, TdApi.Sticker sticker)
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

Parameters:
  `chatId` - Chat identifier.
  `messageId` - Message identifier.
  `sticker` - The animated sticker to be played.

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked(DataInput input) throws IOException
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`